#include "config.h"
#include "gfxinterface.h"

Details * Details::singleton_ (0);


void SetWindowSize(unsigned win_size)
{
	static const unsigned widths[]  = { 640, 800, 1024, 1280, 1600 };
	static const unsigned heights[] = { 480, 600,  768, 1024, 1200 };
	if (win_size > 0 && win_size <= sizeof widths / sizeof widths[0]) {
		--win_size;
		X11::Inst().ResizeWindow(widths[win_size], heights[win_size]);
		X11::Inst().ClearWindow();
	}
}
